/*
 * blanco Framework
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.conf;

/**
 * BlancoDbのデータベース接続のための設定情報を蓄えます。
 * 
 * @since 2005.05.12
 * @author iga
 */
public class BlancoDbDatabaseConnectionSettingDefDotNet {
    private String _jdbcDriver = null;

    private String _jdbcUrl = null;

    private String _jdbcUser = null;

    private String _jdbcPassword = null;

    private String _schema = null;

    /**
     * JDBC接続の際に利用するJDBCドライバ・クラス名
     * 
     * @return _jdbcDriver を戻します。
     */
    public String getJdbcDriver() {
        return _jdbcDriver;
    }

    /**
     * JDBC接続の際に利用するJDBCドライバ・クラス名
     * 
     * @param driver
     *            _jdbcDriver を設定。
     */
    public void setJdbcDriver(final String driver) {
        _jdbcDriver = driver;
    }

    /**
     * JDBC接続の際に利用するパスワード
     * 
     * @return _jdbcPassword を戻します。
     */
    public String getJdbcPassword() {
        return _jdbcPassword;
    }

    /**
     * JDBC接続の際に利用するパスワード
     * 
     * @param password
     *            _jdbcPassword を設定。
     */
    public void setJdbcPassword(final String password) {
        _jdbcPassword = password;
    }

    /**
     * JDBC接続の際に利用するスキーマ名 主にOracleの際に利用されます。
     * 
     * @return _jdbcSchema を戻します。
     */
    public String getSchema() {
        return _schema;
    }

    /**
     * JDBC接続の際に利用するスキーマ名 主にOracleの際に利用されます。
     * 
     * @param schema
     *            _jdbcSchema を設定。
     */
    public void setSchema(final String schema) {
        _schema = schema;
    }

    /**
     * JDBC接続の際に利用するJDBC URI名
     * 
     * @return _jdbcUri を戻します。
     */
    public String getJdbcUrl() {
        return _jdbcUrl;
    }

    /**
     * JDBC接続の際に利用するJDBC URI名
     * 
     * @param uri
     *            _jdbcUri を設定。
     */
    public void setJdbcUrl(final String url) {
        _jdbcUrl = url;
    }

    /**
     * JDBC接続の際に利用するユーザ名
     * 
     * @return _jdbcUsername を戻します。
     */
    public String getJdbcUser() {
        return _jdbcUser;
    }

    /**
     * JDBC接続の際に利用するユーザ名
     * 
     * @param username
     *            _jdbcUsername を設定。
     */
    public void setJdbcUser(final String user) {
        _jdbcUser = user;
    }
}
